For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
      • GETGet an end user
      • PATCHUpdate an end user
      • GETGet multiple end users
      • POSTCreate an end user
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
End UsersEnd Users

Get multiple end users

GET
https://example.ada.support/api/v2/end-users/
GET
/api/v2/end-users/
1import requests
2
3url = "https://example.ada.support/api/v2/end-users/"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "end_user_id": "5f7e0e2c1e7c7e000f0f9c3a",
3 "profile": {
4 "first_name": "Ada",
5 "last_name": "Lovelace",
6 "display_name": "Ada Lovelace",
7 "avatar": "https://example.com/avatars/ada.png",
8 "email": "ada.lovelace@ada.cx",
9 "language": "en-US",
10 "metadata": {
11 "example_key1": "example_string_value",
12 "example_key2": true,
13 "example_key3": 123
14 },
15 "system_properties": {
16 "sunshine_user_id": "5f7e0e2c1e7c7e000f0f9c3a"
17 }
18 },
19 "created_at": "2020-09-20T00:00:00+00:00",
20 "updated_at": "2020-09-20T00:00:00+00:00"
21}
Get multiple end users. You can specify how many users appear per page, and which user id to start from. Alternatively, supply an `external_id` query parameter to look up a single end user by their caller-supplied identifier. When `external_id` is supplied, the 200 response is a single end user object (same shape as `GET /v2/end-users/{end_user_id}`) and is mutually exclusive with cursor/limit pagination. The `external_id` query parameter is available for custom channel integrations only (V1).
Was this page helpful?
Previous

Create an end user

Next
Built with

Get multiple end users. You can specify how many users appear per page, and which user id to start from. Alternatively, supply an external_id query parameter to look up a single end user by their caller-supplied identifier. When external_id is supplied, the 200 response is a single end user object (same shape as GET /v2/end-users/{end_user_id}) and is mutually exclusive with cursor/limit pagination. The external_id query parameter is available for custom channel integrations only (V1).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

external_idstringOptional<=36 characters

Look up a single end user by the external identifier set at creation or via PATCH. Returns the matching end user with the same shape as GET /v2/end-users/{end_user_id}, or 404 if no mapping exists. Mutually exclusive with cursor/limit pagination. Available for custom channel integrations only (V1).

cursorstringOptionalformat: "id"
The ID that marks the start or beginning of the returned records
limitintegerOptional1-100
The number of records to return

Response

OK. When external_id is supplied, returns a single end user object. Otherwise returns a paginated list of end users.

object
OR
object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error